const fs = require('fs');
const path = require('path');
const {copyRecursively} = require("./_functions");

// These folders must exist for nodemon not to loop indefinitely.
[
    'public',
    'dist',
    'intermediates',
    'intermediates/assets',
].forEach(dir => {
    if (!fs.existsSync(dir)) fs.mkdirSync(dir);
});

// Symlink to build/common
const symlink = path.resolve('intermediates/common');
if (!fs.existsSync(symlink)) {
    fs.symlinkSync(path.resolve('dist/common'), symlink);
}

// Copy assets
fs.readdirSync('src/assets').forEach(file => {
    copyRecursively(path.join('src/assets', file), 'dist/assets');
});

// Copy package.json
fs.copyFileSync('package.json', 'dist/package.json');
